"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function parseHeader(header) {
    const headerParts = header.match(/(.*):\s(.*)/);
    if (!headerParts) {
        throw new Error(`Header "${header}" is not parsable`);
    }
    return {
        key: headerParts[1],
        value: headerParts[2]
    };
}
exports.parseHeader = parseHeader;
function getHeaders(parsedArgs) {
    let headers = [];
    if (parsedArgs.H) {
        if (Array.isArray(parsedArgs.H)) {
            headers.push(...parsedArgs.H.map(parseHeader));
        }
        else {
            headers.push(parseHeader(parsedArgs.H));
        }
    }
    if (parsedArgs.header) {
        if (Array.isArray(parsedArgs.header)) {
            headers.push(...parsedArgs.header.map(parseHeader));
        }
        else {
            headers.push(parseHeader(parsedArgs.header));
        }
    }
    return headers.reduce((headerMap, { key, value }) => {
        headerMap[key] = value;
        return headerMap;
    }, {});
}
exports.getHeaders = getHeaders;
function getBody(parsedArgs) {
    if (parsedArgs.d) {
        return parsedArgs.d;
    }
    else if (parsedArgs.data) {
        return parsedArgs.data;
    }
}
exports.getBody = getBody;
function getMethod(parsedArgs) {
    if (parsedArgs.X) {
        return parsedArgs.X;
    }
    else if (parsedArgs.request) {
        return parsedArgs.request;
    }
}
exports.getMethod = getMethod;
